QCAT - Task #1780

User Story # 1777 (Closed): Migrate case data

Change database layout (Questionnaire to Configuration)
06 Feb 2018 14:19 - Sebastian Manger

Status: Closed Start date: 06 Feb 2018
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 41.00 hours
Target version: Carbon Benefit Spent time: 41.00 hours
Resolution:

Description

¢ A questionnaire can only have one configuration (foreign key). (1h)
¢ Add migration for db structure and data migration. (12h)

¢ Update all querysets. (12h)

¢ Write/update tests (16h)

History

#1 - 06 Feb 2018 16:26 - Lukas Vonlanthen
- Description updated

- Estimated time set to 20.00 h

#2 - 06 Feb 2018 16:28 - Lukas Vonlanthen

- translation missing: en.field_tag_list set to Required

#3 - 06 Feb 2018 17:08 - Sebastian Manger

- Subject changed from Change database layout to Change database layout (Questionnaire to Configuration)

#4 - 08 Feb 2018 10:50 - Lukas Vonlanthen
- Description updated

- Estimated time changed from 20.00 h to 24.00 h

#5 - 08 Feb 2018 10:59 - Lukas Vonlanthen
- Description updated

- Estimated time changed from 24.00 h to 41.00 h

#6 - 27 Feb 2018 09:52 - Kurt Gerber

- Status changed from New to Accepted

#7 - 27 Feb 2018 09:54 - Kurt Gerber
- Priority changed from Normal to High

#8 - 12 Apr 2018 08:42 - Sebastian Manger

- Status changed from Accepted to In Progress

#9 - 04 Jul 2018 10:01 - Lukas Vonlanthen

- Status changed from In Progress to Closed
